View Issue Details

IDProjectCategoryView StatusLast Update
0000191JamochaMUDMain Programpublic2008-04-19 14:49
ReporterbatratblueAssigned Tojeffnik 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.8 
Target VersionFixed in Version2.85 
Summary0000191: Crash on launch from java webstart
DescriptionUsing java webstart on on Mac OS 10.3.9 (with latest JavaForMacOSX10.3Update5) downloaded from http://www.jamochamud.org/JamochaMUD.jnlp I received an unexpected error on launch. Java log follows:
Additional InformationAn error occurred while launching/running the application.

Title: JamochaMUD
Vendor: Jeff Robinson
Category: Unexpected Error

org/dts/spell/dictionary/SpellDictionary (Unsupported major.minor version 49.0)

<?xml version="1.0" encoding="UTF-8"?>

<jnlp spec="1.0+" codebase="http://www.jamochamud.org/" href="JamochaMUD.jnlp">

<information>

  <title>JamochaMUD</title>

  <vendor>Jeff Robinson</vendor>

  <homepage href="http://www.jamochamud.org" />

  <description>An open source MUD/MUCK client.</description>

  <icon href="Images/JamochaMUD_40x40.gif" />

  <icon type="splash" href="Images/JMUDSplash.gif" />

  <offline-allowed/>

</information>

<security>

  <all-permissions/>

</security>

<resources>

  <j2se version="1.2+" />

  <jar href="jar/JamochaMUD.jar"/>

</resources>

<application-desc main-class="anecho.JamochaMUD.JMUD" />

</jnlp>

java.lang.UnsupportedClassVersionError: org/dts/spell/dictionary/SpellDictionary (Unsupported major.minor version 49.0)
    at java.lang.ClassLoader.defineClass0(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
    at com.sun.jnlp.JNLPClassLoader.defineClass(JNLPClassLoader.java:309)
    at com.sun.jnlp.JNLPClassLoader.access$100(JNLPClassLoader.java:51)
    at com.sun.jnlp.JNLPClassLoader$1.run(JNLPClassLoader.java:256)
    at java.security.AccessController.doPrivileged(Native Method)
    at com.sun.jnlp.JNLPClassLoader.findClass(JNLPClassLoader.java:249)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
    at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
    at anecho.JamochaMUD.JMUD.<init>(JMUD.java:241)
    at anecho.JamochaMUD.JMUD.main(JMUD.java:54)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:324)
    at com.sun.javaws.Launcher.executeApplication(Launcher.java:858)
    at com.sun.javaws.Launcher.executeMainClass(Launcher.java:818)
    at com.sun.javaws.Launcher.continueLaunch(Launcher.java:692)
    at com.sun.javaws.Launcher.handleApplicationDesc(Launcher.java:407)
    at com.sun.javaws.Launcher.handleLaunchFile(Launcher.java:199)
    at com.sun.javaws.Launcher.run(Launcher.java:167)
    at java.lang.Thread.run(Thread.java:552)
TagsNo tags attached.

Activities

jeffnik

2008-04-16 00:31

administrator   ~0000150

JamochaMUD may have been compiled against JDK1.6. Compatibility settings should be set to ensure that Java 1.4 bytecode is generated for maximum compatibility.

jeffnik

2008-04-16 02:06

administrator   ~0000151

The latest version of the spell-checking files can only be run with Java version 1.5 or higher (due to its use of generics). Unfortunately this version of Java appears to be available only to Mac OS 10.4 and higher ( http://www.apple.com/support/downloads/java2se50release1.html ).

A check will be introduced in JamochaMUD to disable spell-checking if the version of Java on the system isn't 1.5 or higher.

jeffnik

2008-04-19 14:49

administrator   ~0000153

JamochaMUD now checks the version of Java running on the host machine and will disable the spell-checking if the running version is not new enough.

Issue History

Date Modified Username Field Change
2008-04-15 22:14 batratblue New Issue
2008-04-15 22:14 batratblue Status new => assigned
2008-04-15 22:14 batratblue Assigned To => jeffnik
2008-04-16 00:31 jeffnik Note Added: 0000150
2008-04-16 00:31 jeffnik Status assigned => acknowledged
2008-04-16 02:06 jeffnik Note Added: 0000151
2008-04-19 14:49 jeffnik Status acknowledged => resolved
2008-04-19 14:49 jeffnik Fixed in Version => 4.9
2008-04-19 14:49 jeffnik Resolution open => fixed
2008-04-19 14:49 jeffnik Note Added: 0000153